## org.gnu.gtk.event
Class KeyEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.KeyEvent

All Implemented Interfaces:
  java.io.Serializable

public class KeyEvent
extends GtkEvent

See Also:
  `KeyListener`, Serialized Form

Nested Class Summary
`static class` `KeyEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`KeyEvent(java.lang.Object source, KeyEvent.Type type, EventKey gdkEvent)` Construct a KeyEvent object.

Method Summary
`int` `getKeyval()` Returns the keyval.
`int` `getLength()` Returns the length.
`ModifierType` `getModifierKey()` Returns the modifierKey.
`java.lang.String` `getString()` Returns the string.
`boolean` `isOfType(KeyEvent.Type test)` Test to compare events.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyEvent

    public KeyEvent(java.lang.Object source,
                    KeyEvent.Type type,
                    EventKey gdkEvent)

  Construct a KeyEvent object.

Method Detail

### isOfType

    public boolean isOfType(KeyEvent.Type test)

  Test to compare events.

### getKeyval

    public int getKeyval()

  Returns the keyval.

  Returns:
    int

### getLength

    public int getLength()

  Returns the length.

  Returns:
    int

### getModifierKey

    public ModifierType getModifierKey()

  Returns the modifierKey.

  Returns:
    ModifierType

### getString

    public java.lang.String getString()

  Returns the string.

  Returns:
    String